tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Problems building devel/subversion-base on MacOS X 10.8

Am 17.07.2013 um 21:32 schrieb Hauke Fath 

> At 13:07 Uhr +0200 17.7.2013, Jens Rehsack wrote:
>> ===> Building for subversion-base-1.8.0nb1
> [...]
>> libtool: link:
>> `/tmp/pkgsrc/devel/subversion-base/work/.buildlink/lib/' is not
>> a valid libtool archive
>> *** Error code 1
>> Well - I did some basic research, pkgsrc always uses the
>> libiconv from /usr/lib - no way to negotiate ;)  And there is
>> no /usr/lib/ (regardless it would be linked to
>> /tmp/pkgsrc/devel/subversion-base/work/.buildlink/lib/).
> FWIW, I see this on two netbsd-6 machines, too. pkgsrc sources of today.

Thanks to joerg@ I tracked it down to textproc/groff's hard requirement of
converters/libiconv as dependency error (should use builtin, too …).

www/serf creates and includes $PREFIX/lib/ for some
kind of reason (I think that's probably one way libtool operates). I don't
know if it would be reasonable to forbid access to $PREFIX/lib for libtool
itself ...

I suggest first to apply attached patch to textproc/groff to avoid that
libiconv dependency.


Attachment: patch-textproc-groff
Description: Binary data

Jens Rehsack
pkgsrc, Perl5

Home | Main Index | Thread Index | Old Index